//
// Created by uos on 2022/3/1.
//

#ifndef UOS_RECOVERY_RECOVERYSERVICETEST_H
#define UOS_RECOVERY_RECOVERYSERVICETEST_H

#include "uos-recovery-service/RecoveryService.h"
#include <gtest/gtest.h>

class RecoveryServiceTest : public testing::Test
{
public:
    void SetUp() override
    {
        m_service = new RecoveryService;
    }

    void TearDown() override
    {
        if (m_service != nullptr) {
            delete m_service;
            m_service = nullptr;
        }
    }

public:
    RecoveryService *m_service;
};


#endif //UOS_RECOVERY_RECOVERYSERVICETEST_H
